Новости|12 Апрель 2012 2:25

В Firefox запрещена работа старых Java-плагинов

логотип FirefoxУязвимости в безопасности, не так давно обнаруженные, а вскоре и закрытые в Java Runtime Environment и Development Kit, представляют настолько серьезную угрозу системе, что в сообществе Mozilla были вынуждены принять достаточно жесткое решение. Для сохранения спокойствия пользователей Firefox команда разработчиков внесла устаревшие сборки Java-расширений в блок-лист обозревателя, таким образом запретив их запуск в программе.

По заявлению менеджера Mozilla по партнерским продажам Кева Нидэма, уязвимости в Java, о которых идет речь, весьма активно используются хакерами и потому представляют собой потенциальную угрозу для безопасности пользовательских данных. И хотя сейчас упомянутый «черный список» представляет собой лишь ранние версии плагинов Java 6 и 7 для платформы Microsoft, вскоре он может быть пополнен также устаревшими Java-плагинами для Mac OS X.

Стоит напомнить, уязвимости в Java, обнаруженные в середине февраля, позволяют злоумышленникам обходить механизмы защиты движка и запускать на атакуемом компьютере исполняемый код. Специалисты Oracle быстро отреагировали на найденную уязвимость, выпустив соответствующий патч, однако более 60% пользователей устанавливать его не спешат.